Update Card Session
POST
/v1/public/subscriptions/{hash}/update-card-sessionOptionalBuyer clicks "Update card": mints a card_update_only checkout session and returns its URL.
Authentication
Signature Pattern
None β public buyer endpoint, the subscription publicHash is the bearer.Request Example
JSONRequest Body
{}Response Parameters
| Field | Type | Example |
|---|---|---|
sessionId | string | "2a7b8c9d-0e1f-3f1c-9a2e-6b4d4e8a9c1f" |
checkoutUrl | string | "https://pay.kvell.group/s/2a7b8c9d-0e1f-β¦ |
expiresAt | string | "2026-04-13T11:00:00Z" |
Response Example
JSONResponse
{
"sessionId": "2a7b8c9d-0e1f-3f1c-9a2e-6b4d4e8a9c1f",
"checkoutUrl": "https://pay.kvell.group/s/2a7b8c9d-0e1f-3f1c-9a2e-6b4d4e8a9c1f",
"expiresAt": "2026-04-13T11:00:00Z"
}Status Codes
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
POSThttps://api.pay.sandbox.kvell.group